package org.wso2.carbon.user.core.def;

import org.apache.commons.dbcp.BasicDataSource;
import org.wso2.carbon.user.core.UserRealm;
import org.wso2.carbon.user.core.dbcreators.MySQLDatabaseCreator;

public class MySQLTest {
    
    public static void doMySQLStuff() throws Exception{
	
	BasicDataSource ds = new BasicDataSource();
	ds.setUrl("jdbc:mysql://localhost:3306/hh");
	ds.setUsername("root");
	ds.setPassword("root");
	ds.setDriverClassName("com.mysql.jdbc.Driver");
	
	MySQLDatabaseCreator creator = new MySQLDatabaseCreator(ds);
	creator.createDefaultDatabaseTables();
	creator.createHybridDatabaseTables();
	ds = null;
	
	UserRealm realm = new DefaultRealm();
	DefaultRealmConfig config = new DefaultRealmConfig();
	config.setConnectionPassword("root");
	config.setConnectionURL("root");
	config.setConnectionURL("jdbc:mysql://localhost:3306/hh?user=root");
	config.setDriverName("com.mysql.jdbc.Driver");
	realm.init(config);
	
	if(!realm.getUserStoreReader().isExistingRole("vajira"))
	    realm.getUserStoreAdmin().addRole("vajira");
	
    }
       
    public static void main(String[] args) throws Exception {
	doMySQLStuff();
	System.out.println("successful..........");
    }
}
